## 2.5.13

=== Makefile ===
PROGRAM = pg_probackup
WORKDIR ?= $(CURDIR)
BUILDDIR = $(WORKDIR)/build/
PBK_GIT_REPO = https://github.com/postgrespro/pg_probackup

# utils
OBJS = src/utils/configuration.o src/utils/json.o src/utils/logger.o \
	src/utils/parray.o src/utils/pgut.o src/utils/thread.o src/utils/remote.o src/utils/file.o

OBJS += src/archive.o src/backup.o src/catalog.o src/checkdb.o src/configure.o src/data.o \
	src/delete.o src/dir.o src/fetch.o src/help.o src/init.o src/merge.o \
	src/parsexlog.o src/ptrack.o src/pg_probackup.o src/restore.o src/show.o src/stream.o \
	src/util.o src/validate.o src/datapagemap.o src/catchup.o

# borrowed files
OBJS += src/pg_crc.o src/receivelog.o src/streamutil.o \
	src/xlogreader.o

EXTRA_CLEAN = src/pg_crc.c \
	src/receivelog.c src/receivelog.h src/streamutil.c src/streamutil.h \
	src/xlogreader.c src/instr_time.h

ifdef top_srcdir
srchome := $(abspath $(top_srcdir))
else
top_srcdir=../..
ifneq (,$(wildcard ../../../contrib/pg_probackup))
# separate build directory support
srchome := $(abspath $(top_srcdir)/..)
else
srchome := $(abspath $(top_srcdir))
endif
endif

# OBJS variable must be finally defined before invoking the include directive
ifneq (,$(wildcard $(srchome)/src/bin/pg_basebackup/walmethods.c))
OBJS += src/walmethods.o
EXTRA_CLEAN += src/walmethods.c src/walmethods.h
endif

ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir=contrib/pg_probackup
top_builddir=../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

PG_CPPFLAGS = -I$(libpq_srcdir) ${PTHREAD_CFLAGS} -Isrc -I$(srchome)/$(subdir)/src
override CPPFLAGS := -DFRONTEND $(CPPFLAGS) $(PG_CPPFLAGS)
PG_LIBS_INTERNAL = $(libpq_pgport) ${PTHREAD_CFLAGS}

src/utils/configuration.o: src/datapagemap.h
src/archive.o: src/instr_time.h
src/backup.o: src/receivelog.h src/streamutil.h

src/instr_time.h: $(srchome)/src/include/portability/instr_time.h
	rm -f $@ && $(LN_S) $(srchome)/src/include/portability/instr_time.h $@
src/pg_crc.c: $(srchome)/src/backend/utils/hash/pg_crc.c
	rm -f $@ && $(LN_S) $(srchome)/src/backend/utils/hash/pg_crc.c $@
src/receivelog.c: $(srchome)/src/bin/pg_basebackup/receivelog.c
	rm -f $@ && $(LN_S) $(srchome)/src/bin/pg_basebackup/receivelog.c $@
ifneq (,$(wildcard $(srchome)/src/bin/pg_basebackup/walmethods.c))
src/receivelog.h: src/walmethods.h $(srchome)/src/bin/pg_basebackup/receivelog.h
else
src/receivelog.h: $(srchome)/src/bin/pg_basebackup/receivelog.h
endif
	rm -f $@ && $(LN_S) $(srchome)/src/bin/pg_basebackup/receivelog.h $@
src/streamutil.c: $(srchome)/src/bin/pg_basebackup/streamutil.c
	rm -f $@ && $(LN_S) $(srchome)/src/bin/pg_basebackup/streamutil.c $@
src/streamutil.h: $(srchome)/src/bin/pg_basebackup/streamutil.h
	rm -f $@ && $(LN_S) $(srchome)/src/bin/pg_basebackup/streamutil.h $@
src/xlogreader.c: $(srchome)/src/backend/access/transam/xlogreader.c
	rm -f $@ && $(LN_S) $(srchome)/src/backend/access/transam/xlogreader.c $@
src/walmethods.c: $(srchome)/src/bin/pg_basebackup/walmethods.c
	rm -f $@ && $(LN_S) $(srchome)/src/bin/pg_basebackup/walmethods.c $@
src/walmethods.h: $(srchome)/src/bin/pg_basebackup/walmethods.h
	rm -f $@ && $(LN_S) $(srchome)/src/bin/pg_basebackup/walmethods.h $@

ifeq ($(PORTNAME), aix)
	CC=xlc_r
endif

include packaging/Makefile.pkg
include packaging/Makefile.repo
include packaging/Makefile.test

=== packaging/pkg/specs/deb/pg_probackup/debian/control ===
Source: @PKG_NAME@
Section: database
Priority: optional
Maintainer: PostgresPro DBA <dba@postgrespro.ru>
Uploaders: Grigory Smolkin <g.smolkin@postgrespro.ru>
Build-Depends:
 debhelper (>= 9),
 bison,
 dpkg-dev,
 flex,
 gettext,
 zlib1g-dev | libz-dev,
 libpq5
Standards-Version: 3.9.6
Homepage: https://github.com/postgrespro/pg_probackup

Package: @PKG_NAME@
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Backup tool for PostgreSQL.
 .
 This package provides pg_probackup binary for PostgreSQL @PG_VERSION@.

Package: @PKG_NAME@-dbg
Depends: @PKG_NAME@
Architecture: any
Description: Backup tool for PostgreSQL.
 .
 This package provides detached debugging symbols for pg_probackup

=== packaging/pkg/specs/deb/pg_probackup/debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_clean:
	# skip

override_dh_auto_build:
	cd postgresql-@PG_FULL_VERSION@ && ./configure --enable-debug --without-readline --prefix=@PREFIX@ &&\
	make MAKELEVEL=0 install DESTDIR=$(CURDIR)/debian/tmp && cd .. &&\
	make USE_PGXS=1 top_srcdir=$(CURDIR)/postgresql-@PG_FULL_VERSION@ PG_CONFIG=$(CURDIR)/debian/tmp/@PREFIX@/bin/pg_config &&\
	mv pg_probackup pg_probackup-@PG_VERSION@

override_dh_auto_test:
	# skip

override_dh_auto_install:
	# skip

override_dh_strip:
	dh_strip --dbg-package=@PKG_NAME@-dbg

override_dh_auto_clean:
	# skip
	#make clean top_srcdir=$(CURDIR)/pg@PG_TOC@-source PG_CONFIG=$(CURDIR)/debian/tmp/stump/bin/pg_config
